#!/bin/sh
REMOVE_VADP="0"
cmd=${1}
pkgpath=${2}
new_package=${3}
prog="install"
binpath="${pkgpath}/${prog}"
export pkgpath
export REMOVE_VADP

_Log()
{
	if [ -z "${SCRIPT_NAME}" ]; then
		echo "${1}"
	else
		echo "<script language='javaScript'>document.write('${1}')</script><br>"
	fi
}

remove()
{
    which sudo
    ret=$?
    if [ $ret -eq 0 ]; then
        SUDO="sudo"
    else
        SUDO=""
    fi
    $SUDO /bin/rm -f /mnt/flash2/patch/apply_patch_before
    $SUDO /bin/rm -f /mnt/flash2/patch/db_*
    $SUDO /bin/rm -f /mnt/flash2/patch/inotify*

}

case ${cmd} in
	start)
        . /mnt/flash2/patch/db_func
        which ${inotifyd}
        ret=$?
        if [ $ret -eq 0 ]; then
            start-stop-daemon -b --start $dbbackupbin \
            "${db}:c" --quiet --exec "$inotifyd"
        elif [ -f "$rossini_inotifybin" ]; then
            start-stop-daemon -b --start $dbbackupbin \
            "${db}:c" --quiet --exec "$rossini_inotifybin"
        else
            $monitorbin &
        fi
		;;
	stop)
        . /mnt/flash2/patch/db_func
        killall $(basename ${rossini_inotifybin}) || true
        killall $(basename ${inotifyd}) || true
        killall $(basename ${inotifywait}) || true
        killall $(basename ${monitorbin}) || true
		;;
	install)
        echo "pkgpath=$pkgpath" >> /tmp/vadp_env
        echo "REMOVE_VADP=$REMOVE_VADP" >> /tmp/vadp_env

		_Log "Patch result: $(${binpath} ${2})"
		rm -f /tmp/vadp_env
		if [ "$REMOVE_VADP" = "1" ] || [ -f "/mnt/ramdisk/remove_vadp" ]  ;then
			rm -f /mnt/ramdisk/remove_vadp
			rm -rf ${2}
			exit 1
		else
			exit 0
		fi
		;;
	upgrade)
        _Log "This Package doesn't support upgrade currently.<p>Please remove and re-install it."		
        exit 1
		;;
	remove)
        remove
		;;
	*)
        exit 1
		;;
esac

exit 0

